Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Socket_Address Class Reference

A simple place to store and munipulate tcp and port address for communication layer. More...

List of all members.

## Public Member Functions
| clear ()
| Set the internal values to a suitable known value.
string | getIp ()
| Return the ip address portion in dot notation string.
unsigned long int | GetIPAddressRaw ()
| Return a RAW sockaddr_in.
string | getIpPort ()
| Return the ip address/port in dot notation string.
unsigned short int | getPort ()
| Get the port portion as an integer.
bool | isMcastRange ()
| return true if the address is in the mcast range.
bool | operator< (Socket_Address const in)
bool | operator== (Socket_Address const in)
| Allow for normal == operation on a address item.
bool | setAnyIP (int port)
| Set to any address and a specified port.
bool | setBroadcast (int port)
| Set to the broadcast address and a specified port.
bool | setHost (string hostname)
bool | setHost (string hostname, int port)
| this function will take a port and string-based tcp address and initialize the address with the information
bool | setHost (unsigned int ip4adr, int port)
bool | setPort (int port)
| Set to a specified port.
| SocketAddress (Socket_Address const inaddr)
| Copy Constructor.
| SocketAddress ()
| Constructor that lets us set a port value.
| SocketAddress (short int port)
| Constructor that lets us set a port value.

## Detailed Description

A simple place to store and munipulate tcp and port address for communication layer.

## Member Function Documentation

clear | ( |  | ) |

Set the internal values to a suitable known value.

string getIp | ( |  | ) |

Return the ip address portion in dot notation string.

unsigned long int GetIPAddressRaw | ( |  | ) |

Return a RAW sockaddr_in.

string getIpPort | ( |  | ) |

Return the ip address/port in dot notation string.

unsigned short int getPort | ( |  | ) |

Get the port portion as an integer.

bool isMcastRange | ( |  | ) |

return true if the address is in the mcast range.

bool operator< | ( | Socket_Address const | in | ) |

bool operator== | ( | Socket_Address const | in | ) |

Allow for normal == operation on a address item.

Will simplify the use in sorted containers..

bool setAnyIP | ( | int | port | ) |

Set to any address and a specified port.

bool setBroadcast | ( | int | port | ) |

Set to the broadcast address and a specified port.

bool setHost | ( | string | hostname | ) |

bool setHost | ( | string | hostname,
|  | int | port
| ) |  |

this function will take a port and string-based tcp address and initialize the address with the information

Return type : bool (address is undefined after an error)

bool setHost | ( | unsigned int | ip4adr,
|  | int | port
| ) |  |

bool setPort | ( | int | port | ) |

Set to a specified port.

SocketAddress | ( | Socket_Address const | inaddr | ) |

Copy Constructor.

SocketAddress | ( |  | ) |

Constructor that lets us set a port value.

SocketAddress | ( | short int | port | ) |

Constructor that lets us set a port value.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties